package Note;

do '../web-lib.pl'; # Needed for html_escape

sub new {
  my $class = shift;

  ($from, $date, $subject, $body) = @_;

  my $note = bless {
		    subject => $subject,
		    from    => $from,
		    date    => $date,
		    body    => $body }, $class;
  $note;
}


sub print {
  my $this = shift;
  my @lines, line;

  print "<table border=1 cellspacing=0 bgcolor=#000000 width=100%><tr><td>\n";
  print "<table border=1 cellspacing=0 bgcolor=#c0d0c0 width=100%>\n";


  print "<tr><td width=15%><b>".$text{notesUser_date}.":</b></td><td width=90%>".
    &html_escape($this->{date})."</td></tr>\n";


  print "<tr><td width=15%><b>".$text{notesUser_subject}.":</b></td><td width=90%>".
    &html_escape($this->{subject})."&nbsp;</td></tr>\n";

  print "<tr><td width=15%><b>".$text{notesUser_from}.":</b></td><td width=90%>".
    &html_escape($this->{from})."</td></tr>\n";

  print "<tr><td colspan=2 bgcolor=#ffffff>\n";
  @lines = split('\n', $this->{body});
  foreach my $line (@lines) {
    print &html_escape($line)."<p>\n";
  }
  print "</td></tr></table><p>\n";

  print "</td></tr></table><p>\n";
}

sub getNotes {
  my ($login) = @_;
  my @notes = ();
  if (! -f "/etc/comments/$login") {
    return ();
  }

  open(IN, "</etc/comments/$login") ||
    die "Impossible d'ouvrir /etc/comments/$login\n";
  $header=1;
  $msgBegun=0;
  while(<IN>) {
    if ($header) {
      if (!$msgBegun) {
	$msgBegun=1;
      }
      if (/^Date: (.*)/) {
	$date = $1;
	next;
      }

      if (/^Subject: (.*)/) {
	$subject = $1;
	next;
      }

      if (/^From: (.*)/) {
	$from = $1;
	next;
      }

      if (/^$/) {
	$header = 0;
	next;
      }
    } else {
      if (/^\.$/) {
	push (@notes, new Note($from, $date, $subject, $body));
	$header = 1;
	$msgBegun=0;
	undef $date;
	undef $from;
	undef $subject;
	$body="";
      } else {
	if (/^\.(\.*)$/) {
	  $_ = $1;
	}
	if ($body ne "") {
	  $body .= "\n";
	}
	$body .= $_;
      }
    }
  }
  close(IN);
  return @notes;
}

1;
