require 'school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

# acl_security_form(&options)
# Output HTML for editing security options for the custom module
sub acl_security_form
{
  my ($sec) = @_;
  require 'html.pl';
  require 'school-lib.pl';

  print "<tr><td colspan=2 align=center><b>$text{acl_roles}</b></td></tr>\n";

  tableRow(sub {
	     printLabeledCheckbox($text{acl_security_demo}, "demo",
				  $sec->{demo});
	   });

  tableRow(sub {
	     printLabeledCheckbox($text{acl_security_admin}, "admin",
				  $sec->{admin});
	   });
  tableRow(sub {
	     printLabeledCheckbox($text{acl_security_tit}, "titulaire",
				 $sec->{'titulaire'});
	   });
  tableRow(sub {
	     printLabeledCheckbox($text{acl_security_stag}, "stagiaire",
				 $sec->{'stagiaire'});
	   });
  tableRow(sub {
	     printLabeledCheckbox($text{acl_security_install}, "installateur",
				 $sec->{'installateur'});
	   });
}

# acl_security_save(&options)
# Parse the form for security options for the custom module
sub acl_security_save
{
  foreach my $role ("admin", "titulaire", "stagiaire",
		    "installateur", "demo") {
    $_[0]->{$role} = $in{$role};
  }
}
