#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
    require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use ClassroomsLine;
use ClassroomsFile;

$whatfailed = $text{whatfailed_activateClassroomAct};
requireRole("stagiaire", "installateur");

&ReadParse(\%in);

sub changeState {
  my $classroom = shift(@_);
  my $newstate = shift(@_);
  my $i;

  if($newstate ne $classroom->enabled) {
    my ($old, $new, $adr);

    if ($newstate == 1) {
      logMsg(&text('activateClassroomAct_activate', $classroom->name));
      $old = "classrml";
      $new = "classrmu";
    } else {
      logMsg(&text('activateClassroomAct_deactivate', $classroom->name));
      $new = "classrml";
      $old = "classrmu";
    }

    $classroom->enabled($newstate);
  }
}


foreach my $classroom (classrooms->array) {
  if ($in{'cls'.$classroom->name} && !$in{'oldCls'.$classroom->name}) {
    changeState($classroom, 1);
  } elsif(!$in{'cls'.$classroom->name} && $in{'oldCls'.$classroom->name}) {
    changeState($classroom, 0);
  }
}

classrooms->write;
reload("firewall");
&redirect($in{nextUrl});
