#!/usr/bin/perl
# addClassroomAct.cgi
# Performs the action of adding a new classroom definition


BEGIN {
    require './school-lib.pl';
}
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

use ClassroomsLine;
use ClassroomsFile;

$whatfailed = $text{whatfailed_addClassroomAct};
requireRole("installateur");

require './ip.pl';
&ReadParse(\%in);

my $classroom = $in{'name'};

if ($classroom =~ /([\n:&<>\" ])/) {
    &error(&text('addClassroomAct_badchar', html_escape($1), $classroom));
}

if (classrooms->get($classroom)) {
    &error(&text('addClassroomAct_eexist', $classroom));
}

if ($classroom eq "") {
    &error($text{addClassroomAct_empty});
}

my $start = $in{'start'};
my $end   = $in{'end'};
my $adrs  = convertRangeToNets($start, $end);

logMsg(&text('logMsg_addClassroom', $classroom, $start, $end));
classrooms->set(new ClassroomsLine(Name=>$classroom,
				   Begin=>$in{start},
				   End=>$in{end},
				   Enabled=>1,
				   Subnets=>$adrs));
classrooms->write();
reload("firewall");
&printRedirect("listClassrooms");
