#!/usr/bin/perl

use English;

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
}

use Lock;

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $no_upload);

$whatfailed=$text{whatfailed_addNote};

if ($ENV{REQUEST_METHOD} eq "POST") { &ReadParseMime(\%in); }
else { &ReadParse(\%in); $no_upload = 1; }

my ($login, $userdbLine, $passwdLine) = checkUserForModification;
requireSelfOrStudent($userdbLine);

my $subject = $in{subject};
my $body = $in{note};

my @date = localtime;
my $wday=("Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi")[$date[6]];
my $mon=$text{ ("date_Jan", "date_Feb", "date_Mar", "date_Apr", "date_May", "date_Jun",
		"date_Jul", "date_Aug", "date_Sep", "date_Oct", "date_Nov", "date_Dec")
	       [$date[4]] };

my $year=$date[5]+1900;
my $heure=sprintf("%2d:%02d:%02d",$date[2], $date[1], $date[0]);

my $file = "/etc/comments/$login";

&Lock::lock($file);
open(OUT, ">>$file") ||
  &error(&text('error_openWrite', $file, $ERRNO));

$subject =~ s/\n//g;
$subject =~ s/\r//g;

print OUT "Date: $wday, le $date[3] $mon $year  $heure\n";
print OUT "From: ".getWebminUser."\n";
print OUT "Subject: $subject\n";

print OUT "\n";

$body =~ s/\r\n?/\n/g;
foreach my $line (split("\n", $body)) {
  if ($line =~ /^(\.+)$/) {
    $line = ".$line";
  }
  print OUT "$line\n";
}
print OUT ".\n";
close(OUT);

&Lock::unlock("$file");

&redirect("notesUser.cgi?login=$login");
