#!/usr/bin/perl

use English;

BEGIN{ require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);


$whatfailed = $text{whatfailed_addExtAlias};
requireRole("admin");

&ReadParse(\%in);

# Saisie uniquement
$logged = 1;

my $mode = $in{mode};
my ($alias,$address);
if ($mode eq "add") {
    $alias="";
    $address="";
} else {
  $alias = $in{alias};
  open(IN, "</etc/aliases") ||
    &error(&text('error_openRead', "</etc/aliases", $ERRNO));
  my $found = 0;
  while(<IN>) {
    chop;
    if (/^(\s*)(\S+)(\s*):(\s*)(\S+)\@(\S+)(\s*)$/ && $2 eq $alias) {
      $address = "$5\@$6";
      $found = 1;
      last;
    }
  }
  close(IN);
  if($found == 0) {
    &error(&text('addExtAliasAct_noent', $alias));
  }
}

&header($text{title_useradmin}, "", "intro", 1, 0);


my $title;
if ($mode eq "edit") {
  $title = $text{addExtAlias_titleEdit};
} else {
  $title = $text{addExtAlias_titleAdd};
}

my $lastRow;
if ($mode eq "edit") {
  $lastRow = [ sub { submit("$text{button_submit}") },
	       {align=>'right'}, sub { submit($text{button_delete}); } ];
} else {
  $lastRow = [ {colspan => 2 }, \&submit ];
}

hr;
form "addExtAliasAct", sub {
  table ( {noborder=>"", border=>0, cellspacing=>0},
	  [{$tb}, [ {colspan=>2}, "<b>$title</b>"],
	   {$cb}, [{align=>'right'}, "Alias:",
		   {align=>'left'}, sub {
		     hidden(mode => $mode);
		     if ($mode eq "add") {
		       printTextLine("alias", $alias);
		     } else {
		       hidden(alias => $alias);
		       iprint "<b>".html_escape($alias)."</b>\n";
		     }
		   }],
	   [{align=>'right'}, "$text{addExtAlias_realAddress}:",
	    {align=>'left'}, sub {printTextLine("address", $address);}],
	   $lastRow ])};

printLink("listExtAliases", $text{general_returnToList});
hr;
&footer("/", "index");
hr;
