#!/usr/bin/perl
# addExtAliasAct.cgi
# Performs the action of adding a new external alias

use English;

require './school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);


$whatfailed = $text{whatfailed_addExtAliasAct};
requireRole("admin");

&ReadParse(\%in);

open(IN, "</etc/aliases") ||
    &error(&text('error_openRead', "/etc/aliases", $ERRNO));
open(OUT, ">/etc/aliases.$$") ||
    &error(&text('error_openWrite', "/etc/aliases.$$", $ERRNO));

my $mode = $in{mode};
my $alias = $in{alias};
my $found = 0;


if ($in{action} eq "$text{button_delete}") {
    $mode = "delete";
}

my $address;
if ($mode eq "add" || $mode eq "edit") {
    $address = $in{address};
    if ($address && $address !~ /\@/) {
	&error(&text('addExtAliasAct_at', $address));
    }
}


while(<IN>) {
    chop;
    if (/^(\s*)(\S+)(\s*):(\s*)/ && $2 eq $alias) {
	if ($mode eq "add") {
	    &error(&text('addExtAliasAct_exists', $alias));
	} else {
	    $found = 1;
	    if ($mode ne "delete") {
		print OUT "$1$2$3:$4$address\n";
	    }
	    next;
	}
    }
    print OUT "$_\n";
}
close(IN);
if ($mode eq "add") {
    print OUT (sprintf ("%-20s%s\n", $alias.":", $address));
} elsif ($found == 0) {
    &error(&text('addExtAliasAct_noent', $alias));
}
close(OUT);
rename ("/etc/aliases.$$", "/etc/aliases") ||
    &error(&text('error_rename', "/etc/aliases.$$", "/etc/aliases", $ERRNO));

system("newaliases");

if ($mode eq "delete") {
    &printRedirect("listExtAliases");
} else {
    &printRedirect("addExtAlias", {mode => $mode, alias => $alias});
}

