#!/usr/bin/perl
# editClassroomAct.cgi
# Performs the action of changing a classroom definition

use English;

BEGIN {
  require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_addWebminUserAct};
require './ip.pl';

&ReadParse(\%in);
$user = $in{name};
$pass1 = $in{pass1};
$pass2 = $in{pass2};

if($in{pass1} ne $in{pass2}) {
    &error($text{addWebminUserAct_passDifferent});
}
if ($user eq "") {
    if ($pass1 eq "") {
	&error($text{addWebminUserAct_noPass});
    }
    $user = $webminUser;
}

if ($user ne $webminUser) {
    requireRole("admin");
}

sub saltCar {
  my $a = int(rand 64);
  $a += 0x30;
  if ($a > 0x39) {
    $a += 7;
  }
  if($a > 0x5a) {
    $a  += 6;
  }
  if($a == 0x7b) {
    $a = 0x2e;
  }
  if($a == 0x7c) {
    $a = 0x2f;
  }
  $a;
}



sub makeSalt  {
  pack("c2", &saltCar, &saltCar);
}


$usersFile = "$config_directory/miniserv.users";
if ($pass1) {
    $pwd = crypt $pass1, &makeSalt;
} else {
    my @line;
    open(SHADOW, "</etc/shadow") ||
      &error(&text('error_openRead', "/etc/shadow", $ERRNO));
    while(<SHADOW>) {
	chop;
	@line = split(':', $_);
	if($line[0] eq $user) {
	    $pwd = $line[1];
	    last;
	}
    }
    close(SHADOW);
    if (!defined $pwd) {
	&error($text{addWebminUserAct_passOrExistent});
    }
}

open(ACLIN, "<$usersFile") ||
  &error(&text('error_openRead', $usersFile, $ERRNO));
open(ACLOUT, ">>$usersFile.$$") ||
  &error(&text('error_openWrite', $usersFile, $ERRNO));
chmod 0, "$usersFile.$$";
$done = 0;
while(<ACLIN>) {
    chop;
    my @line = split(':', $_);
    if ($line[0] eq $user) {
	$line[1] = $pwd;
	$done = 1;
    }
    print ACLOUT join(":", @line)."\n";

}
if (!$done) {
    print ACLOUT "$user:$pwd\n";
}
close(ACLOUT);
close(ACLIN);
rename "$usersFile.$$", $usersFile;

if (!$done) {
    open(ACLOUT, ">>".&acl_filename) ||
      &error(&text('error_openWrite', &acl_filename, $ERRNO));
    print ACLOUT "$user: school\n";
    close(ACLOUT);

    open(ACLOUT, ">>".&role_filename) ||
      &error(&text('error_openWrite', &role_filename, $ERRNO));
    print ACLOUT "$in{name}: ";
    foreach my $role (&getAllRoles()) {
	if($in{"$role"}) {
	    print ACLOUT "$role ";
	}
    }
    print ACLOUT "\n";
    close(ACLOUT);
}

if (fork() == 0) {
    sleep 1;
    restart "webmin";
}

&printRedirect($in{'back'});
