#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
    require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use PasswdFile;

$whatfailed = $text{whatfailed_addWinboxAct};
requireRole("installateur");

&ReadParse(\%in);


my $machine = lc($in{'nom'});

my $smb = $config{'smbpasswd_location'};
my $useradd = $config{'useradd_location'};

my %machines;
open(SMBPASSWD, "</etc/samba/smbpasswd");
while(<SMBPASSWD>) {
  my @line = split(/:/);
  if ($line[0] =~ /(.*)\$/) {
    $machines{$1} = "e";
  }
}
close(SMBPASSWD);

sub addBox {
  my ($machine) = @_;

  if (passwd->get("$machine\$")) {
    &error(&text('addWinboxAct_exists', $machine));
  }

  &watchProcess("$useradd -d /dev/null -s /bin/false $machine\$", 1);
  &watchProcess("$smb -$machines{$machine}a -m $machine", 1);
}

if ($in{begin} ne "") {
  if (! $in{end}) {
    &error($text{addWinboxAct_beginEnd});
  }

  &header($text{title_boxadmin}, "", "boxes#winnt", 1, 0);
  my $l = length($in{begin});
  my $machTemplate=lc($in{nom})."%0${l}d";

  for (my $i = $in{begin}; $i <= $in{end}; $i++) {
    my $machName = sprintf($machTemplate, $i);
    addBox($machName);
  }
} else {
  &header($text{title_boxadmin}, "", "boxes#winnt", 1, 1);
  addBox($machine);
}

hr();
&menu;
&footer("/", "index");
