#!/usr/bin/perl

use English;

BEGIN{ require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);


$whatfailed = $text{whatfailed_backup};

# Saisie uniquement
$logged = 1;

open(CRONTAB, "</etc/crontab") ||
  &error(&text('error_openRead', "/etc/crontab", $ERRNO));
$active = 0;
$intervalle = "* * *";
while(<CRONTAB>) {
    chop;
    if (/(\#?)\s*[\S+]+\s+[\S+]+\s+([\S+]+\s+[\S+]+\s+[\S+]+)\s+root\s+\/home\/admin\/scripts\/backup/) {
	if ($1 eq "#") {
	    $active = 0;
	} else {
	    $active = 1;
	}

	$intervalle = $2;
	$intervalle =~ s/\s+/ /g;
    }
}
close(CRONTAB);

&header($text{title_useradmin}, "", "intro", 1, 0);


hr;
mainForm("backupAct", $text{backupAct_title},
    [
     sub { printLabeledCheckbox($text{backupAct_active}, "active", $active); },
     [ {colspan => 2}, "<br><b>Intervalle:</b>" ],
     [ $text{backupAct_daily}, sub {
	  printRadio("intervalle", "* * *", $intervalle) } ],
     [ $text{backupAct_weekly},
       sub { printRadio("intervalle", "* * 5", $intervalle) }],
     [ $text{backupAct_monthly}, sub { printRadio("intervalle", "1-7 * 5", $intervalle) } ],
     \&submitLine
     ]);

&footer("/", "index");
hr;
