#!/usr/bin/perl
# backupAct.cgi
# Configures backup periodicity and activation

use English;

require './school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_backupAct};
requireRole("admin");

&ReadParse(\%in);

my $intervalle = $in{intervalle};
if ($intervalle ne "* * *" &&
    $intervalle ne "* * 5" &&
    $intervalle ne "1-7 * 5") {
    &error(&text('backupAct_badInterval', $intervalle));
}

my $active;
if ($in{active}) {
    $active = "";
} else {
    $active = "#";
}


open(CRONTAB, "</etc/crontab") ||
  &error(&text('error_openRead', "/etc/crontab", $ERRNO));

open(OUT, ">/etc/crontab.$$") ||
  &error(&text('error_openWrite', "/etc/crontab.$$", $ERRNO));

my $isPrinted=0;
while(<CRONTAB>) {
    chop;
    if (/\#?(\s*[\S+]+\s+[\S+]+\s+)[\S+]+\s+[\S+]+\s+[\S+]+(\s+root\s+\/home\/admin\/scripts\/backup)/) {
	if ($isPrinted) {
	    next;
	}
	print OUT "$active$1$intervalle$2\n";
	$isPrinted = 1;
    } else {
	print OUT "$_\n";
    }
}

if (!$isPrinted) {
    print OUT "$active 5 2 $intervalle root /usr/lib/userd/scripts/backup\n";
}

close(CRONTAB);
close(OUT);

rename("/etc/crontab.$$", "/etc/crontab") ||
  &error(&text('error_rename', "/etc/crontab.$$", "/etc/crontab", $ERRNO));

redirect("backup.cgi");
