#!/usr/bin/perl
# Uploads a batch file to server to be executed

BEGIN {
  require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

requireRole("admin");

# Saisie uniquement
$logged = 1;

$whatfailed = $text{whatfailed_batch};
&ReadParse(\%in);

&header($text{title_useradmin}, "", "user#batch", 1, 0);

hr;

form ("batchAct", sub {
    mainTable($text{batch_title},
	      {border=>0, cellspacing=>0},
	  [{$cb},
	   sub {
	     printLabeledFileInput($text{batch_userFile},
				   "users", {size => 30});
	   },
	   sub {
	     printLabeledFileInput($text{batch_passFile},
				   "passwd", {size => 30});
	   },
	   \&submitLine ])},
      {enctype=>"multipart/form-data"});

hr;

my @templates;
push (@templates, [ "..", "&lt;$text{batch_new}&gt;" ]);
opendir(DIR, "/etc/templates");
my $i;
while(defined ($i = readdir(DIR))) {
  if ($i eq "." || $i eq "..") {
    next;
  }
  push (@templates, [ $i, $i ])
}
close(DIR);

form ("batchAct2", sub {
    mainTable("$text{batch_title}, $text{batch_freeform}",
	      {border=>0, cellspacing=>0},
	  [{$cb},
	   sub {
	       printLabeledFileInput($text{batch_userFile},
				     "users", {size => 30});
	   },
	   sub {
	       printLabeledFileInput($text{batch_passFile},
				     "passwd", {size => 30});
	   },
	   sub {
	       printLabeledFileInput($text{batch_passListFile},
				     "passwdList", {size => 30});
	   },
	   sub {
	       printLabeledTextLine($text{batch_mailRecipient},
				    "mailRecipient", "", {size => 30});
	   },
	   sub {
	     printLabeledCheckbox($text{batch_test}, "test");
	   },
	   [ $text{batch_format},
	     sub { printSelectionList("template", $in{template}, \@templates) }
	   ],
	   [ {"align"=>"center"}, sub { submit($text{button_submit}) },
	     sub { submit($text{batch_editFormat}) } ]])},
      {enctype=>"multipart/form-data"});



hr;

&footer("/", "index");
