#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well


BEGIN {
    require './school-lib.pl';
}
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $no_upload);

requireRole("admin");
$whatfailed = $text{whatfailed_batchAct};

if ($ENV{REQUEST_METHOD} eq "POST") { &ReadParseMime(\%in); }
else { &ReadParse(\%in); $no_upload = 1; }

if ($no_upload) {
    &error($text{batchAct_error_browser});
}

if ($in{'users_filename'} eq "") {
    &error($text{batchAct_error_userFile});
}

require "fileupload.pl";

my $tmpFile="/tmp/userd$$";
&writeFile('users', "$tmpFile.us", undef, 1);

if ($in{'passwd_filename'} ne "") {
    &writeFile('passwd', "$tmpFile.pw");
}

&header($text{title_useradmin}, "", "user#batch", 1, 0);
&watchProcess($config{'userd_location'}." $tmpFile.us", 1);
unlink("$tmpFile.us");
unlink("$tmpFile.pw");
&menu;
&footer("/", "index");
