#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

require "fileupload.pl";
require "formatDef.pl";
use strict;
use Text::Iconv;

if ($in{'users_filename'} eq "" || $in{'users_filename'} eq "..") {
  &error($text{batchAct_error_userFile});
}

if ($in{template} eq "..") {
  &error($text{batchAct_error_newTemplate});
}

my $file=$in{template};
readFormatFile($file);

my $tmpFile="/tmp/userd$$";
&writeFile('users', "$tmpFile.usp", $in{charset}, undef, $in{ignoreFirstLine});

if ($in{'passwd_filename'} ne "") {
  &writeFile('passwd', "$tmpFile.pw");
}

if ($in{'passwdList_filename'} ne "") {
  &writeFile('passwdList', "$tmpFile.pwl");
}

&header("LLL USERadmin", "images/useradmin.gif", "user#batchfmt", 1, 1);

my $userd = $config{'userd_location'};
$userd =~ s/userd$/freeFormat.pl/g;

my $testMode;
if($in{test}) {
  $testMode = "-t";
} else {
  $testMode = "";
}

my $mailDest=$in{mailRecipient};
if(defined $mailDest && $mailDest ne "") {
    if($mailDest !~ /^[A-Z0-9_.-]+(\@[A-Z0-9.-]+)$/i) {
	die "Bad email address $mailDest\n";
    }
    $ENV{mailRecipient} = $mailDest;
}


&watchProcess($userd." $testMode $tmpFile \"/etc/templates/$file\"", 1);
unlink("$tmpFile.us");
unlink("$tmpFile.pw");
unlink("$tmpFile.pwl");
1;
