#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);


$whatfailed = $text{whatfailed_batchdestructAct};
requireRole("admin");
&ReadParse(\%in);

my $tmpFile="/tmp/userd$$.us";
open(US, ">".$tmpFile) ||
  &error(&text('error_openWrite', "$tmpFile", $ERRNO));

foreach my $user (keys %in) {
  if ($user =~ /^x(.*)/) {
    $user = $1;
    my $userdbLine;
    my ($login, $userdbLine, $passwdLine)=checkUserForDestruction($user);
    $userdbLine->state("D");
    print US $userdbLine->asString."\n";
    logMsg("$user");
  }
}
close(US);

&watchProcess($config{'userd_location'}." ".$tmpFile, 0);
unlink($tmpFile);

&redirect("editUser0.cgi?".$in{"123456789url"});
