use strict;
use vars qw(%in %text %config $logged $tb $cb);

BEGIN {
  require './school-lib.pl';
  require './html.pl';
}

use ClassroomsLine;
use ColonedLine;
use ClassroomsFile;


sub displayClassroomsBox {
  my ($nextUrl) = @_;
  mainForm("activateClassroomAct",
	   $text{listClassrooms_title},
	   { 'border' },
	   sub {
	   &tableRow([ $text{general_name},
		       $text{general_start},
		       $text{general_end},
		       $text{listClassrooms_activated} ],{align=>"center"});

	   foreach my $line (classrooms->array) {
	     &tableRow([ sub { printLink("editClassroom", $line->name,
					 {classroom => $line->name})},
			 &html_escape($line->begin),
			 &html_escape($line->end),
			 sub { printCheckbox('cls'.$line->name, $line->enabled);
			       hidden('oldCls'.$line->name, $line->enabled);
			 }]);
	   }
	   tableRow {submitLine 4};
	   hidden(nextUrl => $nextUrl);
	 });
}


1;
