#!/usr/bin/perl

# CreateBatchUsers: common file for guest and exam users

require './school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

sub createBatchUsers {
  my ($cat, $noPasswd, $catLabel) = @_;

  &header($text{title_useradmin}, "", "user", 1, 0);

  require './userTable.pl';

  # Saisie uniquement
  $logged = 1;

  my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);

  $in{'J'}=$mday;
  $in{'M'}=$mon+1;
  $in{'A'}=$year + 1900;

  $in{'login'}='';
  $in{'firstName'}='';
  $in{'lastName'}='';
  $in{'alias'}='';
  $in{'pass1'}='';
  $in{'pass2'}='';

  my $catName = $text{$catLabel};

  userTable(title      => &text('createBatchUsers_title',$catName),
	    batchUsers => $cat,
	    noPasswd   => $noPasswd);

  &footer("/", "index");
}

$whatfailed = $text{whatfailed_addUserAct};
&ReadParse(\%in);
my $cat=$in{cat};
my $noPasswd;
my $catLabel;
if($cat eq "EXA") {
  $noPasswd = 1;
  $catLabel = 'examName';
} elsif($cat eq "GUE") {
  $in{classe}= $ENV{REMOTE_USER};
  $noPasswd = 0;
  $catLabel = 'guestName';
} else {
  &error(&text('error_badCategory', $cat));
}

createBatchUsers($cat, $noPasswd, $catLabel);

1;
