# Gestion de dates
#
use Time::Local;
use strict;

my $monthList = [
	      [ "1", "$text{date_Jan}" ],
	      [ "2", "$text{date_Feb}" ],
	      [ "3", "$text{date_Mar}" ],
	      [ "4", "$text{date_Apr}" ],
	      [ "5", "$text{date_May}" ],
	      [ "6", "$text{date_Jun}" ],
	      [ "7", "$text{date_Jul}" ],
	      [ "8", "$text{date_Aug}" ],
	      [ "9", "$text{date_Sep}" ],
	      [ "10", "$text{date_Oct}" ],
	      [ "11", "$text{date_Nov}" ],
	      [ "12", "$text{date_Dec}" ]
	      ];


sub inputDate {
  my ($key, $date) = @_;

  print "$text{date_D}<input name=\"$key.J\" size=2 maxlength=2 value=\"".
    $date->{"$key.J"}."\"> &nbsp; ";
  print "$text{date_M}";
  printSelectionList("$key.M", $date->{"$key.M"}, $monthList);
  nbsp;
  print "$text{date_Y}<input name=\"$key.A\" size=4 maxlength=4 value=\"".
    $date->{"$key.A"}."\"> &nbsp; ";
}


sub setJma {
  my ($mday, $mon, $year, $jma, $key) = @_;

  $jma->{"$key.J"}=$mday;
  $jma->{"$key.M"}=$mon+1;
  $jma->{"$key.A"}=$year;
}

sub timeToJma {
  my ($date, $jma, $key) = @_;
  if ($key eq "") {
    $key = "date";
  }
  my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($date);
  setJma($mday, $mon, $year + 1900, $jma, $key);
}

sub daystringToJma {
  my ($dayString, $jma, $key) = @_;

  $dayString =~  /(....)(..)(..)/;
  setJma($3, $2, $1, $jma, $key);
}

sub getJma {
  my ($key, $jma) = @_;

  my $j = $jma->{"$key.J"};
  my $m = $jma->{"$key.M"};
  my $a = $jma->{"$key.A"};

  if (! ($a =~ /^[1-9][0-9][0-9][0-9]$/)) {
    &error(&text('date_badYear', $a, $key.'A'));
  }

  if (! ($j =~ /^[0-9][0-9]?$/) || $j < 1 || $j > 31) {
    &error(&text('date_badDay', $j));
  }

  if (! ($m =~ /^[1-9][0-9]?$/) || $m < 1 || $m > 12) {
    &error(&text('date_badMonth', $m));
  }

  return ($j, $m, $a);
}

sub jmaToDaystring {
  my ($j, $m, $a) = getJma(@_);

  return sprintf("%04d%02d%02d",$a,$m,$j);
}

sub jmaToTime {
  my ($j, $m, $a) = getJma(@_);

  return timelocal(0, 0, 0, $j, $m-1, $a);
}


sub timeToDaystring {
  my ($date) = @_;

  my %jma;
  &timeToJma($date, \%jma);
  return &jmaToDaystring("date", \%jma);
}

1;
