# Edit a format definition
#

require "userTable.pl";
require "formatDef.pl";

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $formatTr);

my $file = $in{'template'};
my $new=1;
if ($file eq "" || !defined $file) {
    &error($text{batchAct_error_missingName});
}
if ($file eq "..") {
  $new = 1;
  $in{pattern}="";
  $in{defaultClass}="";
} else {
  if ($file =~ /[^a-zA-Z _0-9-]/) {
    &error($text{error_hackAttempt}." Bad character in file $file");
  }

  $new = 0;
  readFormatFile($file);
}

&header("LLL USERadmin", "images/useradmin.gif", "user#batchfmt", 1, 0);



my $explanation =
  [
   [ "%", $text{defFormat_percent} ],
   [ "l", $text{defFormat_login} ],
   [ "o", $text{defFormat_op} ],
   [ "t", $text{defFormat_type} ],
   [ "p", $text{defFormat_firstName} ],
   [ "n", $text{defFormat_lastName} ],
   [ "c", $text{defFormat_classSponsor} ],
   [ "a", $text{defFormat_alias} ],
   [ "P", $text{defFormat_password} ],
   [ "d", $text{defFormat_date} ],
   [ "s", $text{defFormat_ssn} ],
   [ "i", $text{defFormat_ignore} ]];

if (defined $in{rawdate}) {
  daystringToJma($in{rawdate}, \%in, "date");
}

userTable(action => "defFormatAct",
	  label => $text{defFormat_label},
	  title => &text('defFormat_title', $file),
	  allCategories => 1,
	  lightweight => 1,
	  noPasswd => 1);

print $text{defFormat_explan};
print"<table border=1>\n";
foreach my $i (@$explanation) {
  print "<tr><td>%$i->[0]</td><td>$i->[1]</td></tr>\n";
}
print "</table>\n";
hr;


1;
