#!/usr/bin/perl
# defFormatAct.cgi

use English;
use POSIX qw(strftime);

require './school-lib.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed $formatTr);


requireRole("admin");
require './formatDef.pl';
$whatfailed = $text{whatfailed_defFormatAct};

&ReadParse(\%in);

my $oldFile = $in{"template"};
my $file = $in{"new_template"};
my $noclobber=1;
if($oldFile ne "..") {
    if($file eq $oldFile) {
	# Save new version of existing template
	$noclobber=0;
    } elsif($file eq "") {
	unlink("/etc/templates/$oldFile");
	printRedirect("batch");
	return;
    }
}

my $path = "/etc/templates/$file";
if($noclobber && -f $path) {
    &error(&text('batchAct_error_tmplExists', $file));
}

if ($file =~ /[^a-zA-Z _0-9-]/) {
    &error($text{defFormatAct_badchar});
}

if ($file eq "" || !defined $file) {
    &error($text{batchAct_error_missingName});
}

#$in{rawdate} = jmaToDaystring("date", \%in);
$in{rawdate}=strftime("%Y%m%d", localtime(time));

open(FILE, ">", $path) || &error(&text('error_openWrite', $path, $ERRNO));

print FILE "$in{pattern}\n";
foreach my $i (keys %$formatTr) {
  my $j = $formatTr->{$i};
  if ($in{$j} ne "") {
    print FILE "$i=$in{$j}\n";
  }
}

foreach my $key ("charset", "ignoreFirstLine") {
    print FILE "$key=$in{$key}\n";
}
close(FILE);

printRedirect("batch");
