#!/usr/bin/perl

use strict;
use vars qw(%in %text %config $logged $tb $cb);
BEGIN {
  require 'school-lib.pl';
}
use UserDBFile;

$whatfailed = $text{whatfailed_deleteBatchUsersAct};
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;

my $cat = $in{cat};
my $formTitle;
my $buttonLabel;

if($cat eq "EXA") {
  $formTitle = $text{deleteExamUsers_title};
  $buttonLabel = $text{deleteExamUsers_button};
} elsif($cat eq "GUE") {
  $formTitle = $text{deleteGuestUsers_title};
  $buttonLabel = $text{deleteGuestUsers_button};
} else {
  &error(&text('error_badCategory', "$cat"));
}

&header($text{title_useradmin}, "", "user", 1, 0);
hr;

my %guest;
foreach my $line (userDB->array) {
  my $login = $line->user;
  if ($line->type ne $cat) {
    next;
  }
  next if($line->isDeleted);
  if ($login =~ /^([a-z0-9]*[a-z])(\d+)$/) {
    $guest{$1}=1;
  }
}

my $background={$cb};
form ("deleteBatchUsersAct", sub {
    table sub {
	&tableRow([{colspan=>2},
		   "<b>$formTitle</b>"], {$tb});
	foreach my $user (sort (keys %guest)) {
	    tableRow {printLabeledCheckbox($user, "delete.$user")} $background;
	}

	&tableRow([{colspan=>2},
		   sub { submit($buttonLabel)}], {$cb});
	&hidden('cat', $cat);
    }, { 'border'} });
hr;

&footer("/", "index");

1;
