#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
  require './school-lib.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use UserDBFile;

requireRole("titulaire");
$whatfailed = $text{whatfailed_deleteBatchUsersAct};
&ReadParse(\%in);

my %toDelete;
foreach my $series (keys %in) {
  if ($series =~ /^delete\.(.*)$/) {
    $series = $1;
    $toDelete{$series} = 1;
  }
}

my $cat = $in{cat};
$cat eq "EXA" || $cat eq "GUE" ||
  &error(&text('error_badCategory', "$cat"));

my $tmpFile="/tmp/userd$$.us";
open(US, ">".$tmpFile) ||
  &error(&text('error_openWrite', "$tmpFile", $ERRNO));

foreach my $line (userDB->array) {
  my $login = $line->user;
  if ($line->type ne $cat) {
    next;
  }
  next if($line->isDeleted);
  if ($login =~ /^([a-z0-9]*[a-z])(\d+)$/ && $toDelete{$1}) {
    $line->state("D");
    print US join(":", @$line)."\n";
  }
}

close(US);


&header($text{title_useradmin}, "", "user", 1, 0);
&watchProcess($config{'userd_location'}." ".$tmpFile, 1);
hr;


hr;
printLink "deleteBatchUsers", $text{general_returnToList}, { cat => $cat};
br;
&footer("/", "index");
