#!/usr/bin/perl
# destruction d'un utilisateur

BEGIN{
  require './school-lib.pl';
  require './school-users.pl';
};

use strict;
use Ssn;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_deleteUserAct};
&ReadParse(\%in);

my ($login, $userdbLine, $passwdLine)=checkUserForDestruction;
my $mode = $in{'mode'};
my $msg;
if ($mode eq 'D') {
  requireRole "admin";
  $msg = $text{deleteUserAct_deleted};
} elsif ($mode eq 'H') {
  requireSelfOrStudentGb($userdbLine);
  $msg = $text{deleteUserAct_suspended};
} elsif ($mode eq 'A') {
  requireSelfOrStudent($userdbLine);
  $msg = $text{deleteUserAct_reactivated};
} elsif ($mode eq 'M') {
  $whatfailed = $text{whatfailed_moveUserAct};
  my $newClass;
  my $newCategory;
  if($in{classe} =~ /^class\.(.*)/) {
    $newClass = $1;
  } elsif($in{classe} =~ /^cat\.(.*)/) {
    $newCategory = $1;
  }

  if ($userdbLine->isStudent && !defined $newCategory) {
    requireRole "titulaire";
  } else {
    requireRole "admin";
  }

  if(defined $newClass) {
    $userdbLine->[2] = "ELE";
    $userdbLine->[4] =~ s/^\[[A-Z]{3} ([0-9]{8}) (.*)\]$/\[ELE \1 $newClass\]/;
  } elsif(defined $newCategory) {
    checkCategory($newCategory);
    $userdbLine->[2] = $newCategory;
  }
  $userdbLine->[3] = $in{lastName}.",".$in{firstName};
  $userdbLine->[5] = $in{alias};
  $msg = $text{deleteUserAct_updated};

} elsif ($mode eq 'S') {
  if ($userdbLine->isStudent) {
    requireRole "titulaire";
  } else {
    requireRole "admin";
  }

  my $ssn = $in{ssn};
  $whatfailed = $text{whatfailed_changeSsnUserAct};
  my $r = eval {
    verifySsn($ssn); 1;
  };
  if(!defined $r) {
    &error($@);
  }
  $userdbLine->[6] = $ssn;
  $mode='M';
} else {
  &error(&text('deleteUserAct_badmode', $mode));
}

$userdbLine->state($mode);
my $line=$userdbLine->asString;
my $tmpFile="/tmp/userd$$.us";
open(US, ">".$tmpFile) || &error(&text('error_openWrite', "$tmpFile", $ERRNO));
print US "$line\n";
close(US);

&header($text{title_useradmin}, "", "user", 1, 0);
&watchProcess($config{'userd_location'}." ".$tmpFile, 1);
hr;
print &text('deleteUserAct_status', $login, $msg);
printLink "editUserAZ", $text{deleteUserAct_continue};
unlink($tmpFile);

&menu;
&footer("/", "index");
