#!/usr/bin/perl

BEGIN { require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use ClassroomsLine;
use ClassroomsFile;

requireRole "installateur";
$whatfailed = $text{whatfailed_editClassroom};
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;

my $name = $in{'classroom'};
my $classroom = classrooms->get($name);

if ($classroom eq "") {
    &error(&text('editClassroom_noent', $name));
}

&header($text{title_boxadmin}, "", "classroom", 1, 0);

hr;
mainForm
  "editClassroomAct", &text('editClassroom_change',$name),
  [[ $text{editClassroom_firstIp}, sub {
       hidden("name", $name);
       printTextLine("start", $classroom->begin, { size=>16} )} ],

   [ $text{editClassroom_lastIp},  sub {
       printTextLine("end", $classroom->end, { size=>16} )} ],

   [ {colspan=>2, align=>"center"}, sub {
       submit; submit($text{button_delete}); } ]
  ];

&footer("/", "index");
