#!/usr/bin/perl
# editClassroomAct.cgi
# Performs the action of changing a classroom definition

BEGIN {
    require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use ClassroomsLine;
use ClassroomsFile;

requireRole("installateur");
require './ip.pl';
$whatfailed = $text{whatfailed_editClassroom};
&ReadParse(\%in);

my $name = $in{'name'};
my $classroom=classrooms->get($name);
if (!defined $classroom) {
  &error(&text('editClassroom_noent', $classroom));
}

if ($in{action} eq "$text{button_delete}") {
  $classroom->name(undef);
  logMsg(&text('logMsg_delClassroom', $name));
} else {
  my $start = $in{'start'};
  my $end   = $in{'end'};

  $classroom->begin($in{'start'});
  $classroom->end($in{'end'});
  $classroom->subnets(convertRangeToNets($start, $end));
  logMsg(&text('editClassroomAct_redefine', $name, $start, $end));
}

classrooms->write;
reload("firewall");

&printRedirect("listClassrooms");
