#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_editFile};
&ReadParse(\%in);

my ($login, $userdbLine, $passwdLine) = checkUserForStudent;
requireSelfOrStudent($userdbLine);
my ($dir, $dirName) = parseDirName($passwdLine, $in{dirName});

if (! -f $dir) {
    &error($text{error_hackAttempt}." File $dir is not a file");
}

open(FILE, "<$dir") || &error(&text('error_openRead', "$dir", $ERRNO));
my $contents = join("", <FILE>);
close(FILE);

&header($text{title_useradmin}, "", "editFile", 1, 0);

hr;

require 'etc-passwd.pl';
require 'group.pl';

form "saveFileAct", sub {
    table ( {border=>1, cellspacing=>0},
	   [ {$tb},
	    [ {colspan=>2}, $text{userAdmin_editFile}." <em>".
	     &html_escape("~$login$dirName")."</em>" ],
	    {$cb},
	    [ sub {
		printTextArea("file", $contents, {cols=>80, rows=>30});
	    }], sub { submitLine(2, $text{button_filesave}) }]);
    &dumpLogin;
    &hidden("dirName", $in{'dirName'});
}, {enctype=>"multipart/form-data"};

printLink("editUser", $text{userAdmin_edit}, {login=>$login});
br;
$dirName =~ s;/[^/]*$;; ;

printLink("editDirectory", $text{editFile_editDir},
	  {login=>$login, dirName=>$dirName});

&menu;
&footer("/", "index");
