#!/usr/bin/perl

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
  require './classPerm.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb);
use UserDBFile;
use PasswdFile;
use UserList;
use Keller;

&ReadParse(\%in);

# Consultation uniquement
$logged = 1;

my $init=$in{'init'};
my $scat=$in{'scat'};
my $state=$in{'state'};
my $classe=$in{'classe'};

if(defined $init && userDB->get($init)) {
  &redirect("editUser.cgi?login=$init");
  exit(0);
}

&header($text{title_useradmin}, "", "user#modif", 1, 0);



my $nextUrl="";
&printUserTable(1,
		sub {
		  for my $user (sort {smartcmp($a->[0],$b->[0]);} userDB->array){
		    my $login=$user->user;

		    if ($init ne "" && ! ($login =~ /^$init/i )) {
		      next;
		    }

		    if ($scat ne "" &&  ($scat ne $user->type )) {
		      next;
		    }

		    if ($state ne "" &&  ($state ne $user->state )) {
		      next;
		    }

		    if ($classe ne "") {
		      if (! $user->isStudent) {
			# skip non-students
			next;
		      }

		      if ($classe ne $user->class) {
			# bad class
			next;
		      }
		    }

		    my $active = 1;
		    my $deletable=1;
		    my $pline = passwd->get($login);
		    if (keller->contains($login) ||
			(defined $pline && $pline->isSystemUser())) {
		      $active = 0;
		      $deletable = 0;
		    } elsif (!defined $pline) {
		      $active = 2;
		      $deletable = 1;
		    }

		    if ($user->isDeleted) {
		      $deletable = 0;
		    }

		    &printUser($user, $active, 1, $deletable);
		  }

		  if ($init ne "") {
		    $nextUrl .= "init=$init";
		  }
		  if ($scat ne "") {
		    $nextUrl .= "scat=$scat";
		  }
		  if ($state ne "") {
		    $nextUrl .= "state=$state";
		  }
		  if ($classe ne "") {
		    $nextUrl .= "classe=$classe";
		  }
		  hidden("123456789url", $nextUrl);
		});

if ($classe ne "") {
  hr;
  my $states = getClassStates();
  mainForm("lockClassAct", 
	   "$text{userdb_lockClassFormTitle}",
	   { 'border' },
	   sub {
	     &hidden("123456789url", $nextUrl);

	     classHeaderLine(0);
	     classLine(0, 0, $states, $classe);
	     classButtonLine(0);
	   });

  #    $href= "<center><a href=\"http://nemo/GPU/CLA/".$classe.".html\">";
  #    print "$hrefHoraire</center></a>";

  if(isExamClass($classe)) {
    printLink "setExamPasswords", $text{title_setExamPasswords}, 
      { class => $classe };
  }
}

&menu;
&footer("/", "index");
