#!/usr/bin/perl

use English;

BEGIN {
  require './school-lib.pl';
  require "./school-users.pl";
};

use strict;
use vars qw(%in %text %config $logged $tb $cb);


opendir(DIR, "/home/eleves") ||
    &error(&text('error_openDir', '/home/eleves',  $ERRNO));

# Consultation uniquement
$logged = 1;

&header($text{title_useradmin}, "", "edit", 1, 0);

hr;

my @allCat;
if(isLllI()) {
    @allCat = ("ENS", "EXT", "FUN", "GUE", "ORG", "SOP");
} else {
    @allCat = ("ANC", "COM", "DRX", "ELE", "ENS", "EXT",
	       "FUN", "GUE", "ORG", "PAR", "POO", "SEC",
	       "SER", "SOP", "SPO");
}

table ( {'border'},
       [
	{$tb}, ["<center><b>$text{editUserAZ_title}</b></center>"],
	{$cb}, [ sub {
	    b("$text{editUserAZ_choseInitial}:"); p;

	    center {
		for(my $i=65; $i <= 90; $i++) {
		  my $letter=chr($i);
		  nbsp;
		  printLink("editUser0", $letter, { init => $letter });
		  nbsp;
		}
	    };
	    br;
	    br;

	    b("$text{editUserAZ_choseType}:"); p;
	    center {
		foreach my $cat (@allCat, "???") {
		  nbsp;
		  printLink("editUser0", $cat, {scat => $cat});
		    nbsp;
		}

	    };
	    br;
	    br;

	    b("$text{editUserAZ_State}:"); p;
	    center {
		foreach my $stat ("N", "U", "D", "X", "H") {
		    nbsp;
		    printLink("editUser0", $stat, {state => $stat});
		    nbsp;
		}
	    };
	    br;
	    br;

	    if(!isLllI()) {
		b("$text{editUserAZ_choseClass}:"); p;
		center {
		    my $x=0;
		    foreach my $classe (getClasses(1)) {
			if($x && $x % 10 == 0) {
			    br;
			}
			nbsp;
			printLink("editUser0", $classe, {classe => $classe});
			nbsp;
			$x++;
		    }
		};
		br;
		br;
	    }

	    center {
	      printLink("editUser0", "$text{editUserAZ_all}");
	    };
	    br;

	    b("$text{editUserAZ_entername}:");
	    center {
	      form("editUser0",
		   sub {
		     printTextLine("init", "", {size=>8});
		   }
		  );
	    }

	}]]);


#form "editUser0", sub {
#    print "$text{editUserAZ_class}";
#    printTextLine("classe");
#    submit;
#};

hr;

&footer("/", "index");

