# Access to features, such as shell access, incoming ftp access or
# internet access

use strict;
use vars qw(%text);
BEGIN {
    require 'school-lib.pl';
}
use UserDBFile;
require 'listfile.pl';
require 'roles.pl';

sub featuresBox {
  my ($login) = @_;

  if(canEditRights($login)) {
    mainForm("featuresAct", $text{editUser_features_title},
	     [
	      [ $text{editUser_internet},
		sub { printUserTriState('squid',  $login, 1);
		      hidden("login", $login) } ],
	      [ $text{editUser_shell},
		sub { printUserTriState('login',  $login, 1) } ],
	      [ $text{editUser_ftp},
		sub { printUserTriState('ftp',  $login, 1) } ],
	      \&submitLine]);
  } else {
    mainTable($text{editUser_features_title},
	     [
	      [ $text{editUser_internet},
		sub { printUserTriState('squid',  $login, 0); } ],
	      [ $text{editUser_shell},
		sub { printUserTriState('login',  $login, 0) } ],
	      [ $text{editUser_ftp},
		sub { printUserTriState('ftp',  $login, 0) } ] 
	     ]);
  }
}


sub writeFeaturesToFile {
  my ($in) = @_;
  my $filter;
  if(!haveRole('admin')) {
    $filter = sub {
      my ($login) = @_;
      my $uline = userDB->get($login);
      if(!defined $uline || !$uline->isStudent) {
	die "\"$login\" is not a student, cannot be edited by ".getWebminUser()."!\n";
      }
      1;
    }
  }

  my $squidChanged = updateUserFilesFromTristate('squid', $in, $filter);
  updateUserFilesFromTristate('login', $in, $filter);
  updateUserFilesFromTristate('ftp', $in, $filter);
  if($squidChanged) {
    reload('squid');
  }
}

1;
