use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

sub writeFile {
  my ($clname, $servname, $charset, $stripEmptyLines, $ignoreFirstLine) = @_;

  if ($in{$clname} eq "") {
    &error(&text('fileupload_noFile', $in{$clname.'_filename'}));
  }

  my $contents = $in{$clname};

  # some end of line handling for Mac and Winders boxes
  $contents =~ s/\r\n/\n/g;
  $contents =~ s/\r/\n/g;

  if($ignoreFirstLine) {
      $contents =~ s/^.*?\n//;
  }

  if($stripEmptyLines) {
      $contents =~ s/\n\n+/\n/g;
  }

  if($charset) {
      my $converter = Text::Iconv->new($charset, "ISO-8859-1//TRANSLIT");
      $contents = $converter->convert($contents);
  }

  unlink($servname); # prevent any silly games with symlinks in /tmp
  # does not really prevent it, but makes it much
  # more difficult

  open (FILE, ">$servname") || die "Could not write $servname\n";
  print FILE $contents;
  close(FILE);

  foreach my $line (split("\n", $contents)) {
    logMsg("batch upload $line");
  }
}

1;
