use strict;
use vars qw($filename);

$tableName=$in{'table'};
if ($tableName =~ /[^a-zA-Z]/ || $tableName eq "") {
    &error($text{firewall_noCfgFile});
}
require "$tableName"."Wall.pl";

sub stopFirewall {
  open(CFG, ">/proc/sys/net/ipv4/ip_forward") ||
    &error($text{firewall_noIpForward});
  print CFG "1";
  close(CFG);

  stopsys 'firewall';
}


sub startFirewall {
  open(CFG, ">/proc/sys/net/ipv4/ip_forward") ||
    &error($text{firewall_noIpForward});
  print CFG "1";
  close(CFG);

  startsys 'firewall';
}


sub restartFirewall {
  open(CFG, ">/proc/sys/net/ipv4/ip_forward") ||
    &error($text{firewall_noIpForward});
  print CFG "1";
  close(CFG);

  reload "firewall";
}

sub readFile {
  my ($file)=@_;
  open(FILE, "<$filename") ||
    &error(&text('error_openRead', "$filename", $ERRNO));
  while(<FILE>) {
    chop;
    s/\#.*$//g;
    if (/^FW_([A-Z_]*)="(.*)"/) {
      $file->{$1}=$2;
    }
  }
  close(FILE);
}

sub writeFile {
  my ($dict) = @_;
  open(FILE, "<$filename") ||
    &error(&text('error_openRead', $filename, $ERRNO));
  open(OUT, ">$filename.$$") ||
    &error(&text('error_openWrite', "$filename.$$", $ERRNO));
  while(<FILE>) {
    chop;
    my $line=$_;
#    s/\#.*$//g;
    if (/^FW_([A-Z_]*)=\"([^\"]*)\"(.*)$/) {
      my $name=$1;
      if (exists $dict->{$name}) {
	print OUT "FW_$name=\"".$dict->{$name}."\"$3\n";
	delete $dict->{$name};
	next;
      }
    }
    print OUT "$line\n";
  }
  foreach my $name (keys %$dict) {
    print OUT "FW_$name=\"".$dict->{$name}."\"\n";
  }
  close(FILE);
  close(OUT);

  rename "$filename.$$", "$filename";
  &restartFirewall;
}

1;
