#!/usr/bin/perl

use English;

BEGIN { require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $tableName);


requireRole "installateur";
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;

my $filename=$in{"filename"};
if(! ($filename =~ /^[a-z]*$/) ) {
    &error(&text('firewallList_badFilename', html_escape($filename)));
}

$filename = "$config{firewall_location}/$filename";
my @contents;
if (-f $filename) {
    open(FILE, "<$filename") ||
      &error(&text('error_openRead', $filename, $ERRNO));
    @contents=<FILE>;
    close(FILE);
} else {
    @contents=();
}
my $contents=join("", @contents);

require 'firewall.pl';

&header($text{title_boxadmin}, "", "firewall", 1, 0);

hr;
form "firewallListAct",
    sub {table {'border'},
	 [
	  {$tb}, [ "<b>".&text('firewallList_title',"\L$in{comment}").
		   "</b>" ],
	  {$cb}, [ sub {
	      hidden("filename", $in{filename});
	      hidden("comment", $in{comment});
	      hidden("table", $tableName);
	      printTextArea("contents", $contents, {cols=>80, rows=>20}) } ],
	  \&submitLine ]};

&footer("/", "index");
