#!/usr/bin/perl

use English;

BEGIN {
    require './school-lib.pl';
}
require './ip.pl';

use strict;
use vars qw(%in %text %config $logged $tb $cb
	    $tableName $table);

requireRole("installateur");
&ReadParse(\%in);

my $filename=$in{"filename"};

if(! ($filename =~ /^[a-z]*$/) ) {
    &error(&text('firewallList_badFilename', html_escape($filename)));
}

$filename = "$config{firewall_location}/$filename";

require 'firewall.pl';
$in{contents} =~ s/\r//g;

# Validate contents
foreach my $line (split(/\n/, $in{contents})) {
  if($line =~ /^\s*([^\#]*\S)\s*(\#.*)?$/) {
    checkNetworkForValidity($1);
  }
}

open(OUT, ">$filename") ||
	&error(&text('error_openRead', $filename, $ERRNO));
print OUT $in{contents};
close(OUT);

&restartFirewall;

delete $in{contents};

&printRedirect("firewallList", \%in);

