#!/usr/bin/perl

use English;

BEGIN {require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed
	    $tableName $table $explications $filename);

requireRole "installateur";
require './ip.pl';
$whatfailed = $text{whatfailed_firewallMain};
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;


sub checkbox {
    my ($name, $value) = @_;

    &printCheckbox($name, $value);
}

sub textarea {
    my ($name, $value) = @_;

    $value =~ s/\s+/\n/g;
    &printTextArea($name, $value, { cols => 34, rows => 10});
}

sub textline {
    my ($name, $value) = @_;
    &printTextLine($name, $value, {size => 20});
}

sub link_checkbox {
    my ($name, $value, $line) = @_;
    &printCheckbox($name, $value);
    $name =~ tr/A-Z/a-z/;
    &iprint("");
    &nbsp;
    print "\n";
    &printLink("firewallList", $text{firewallMain_configuration}, {
	table => $tableName,
	filename => $name,
	comment => $line->[0] });
}


sub networks {
    return textarea(@_);
}

sub network {
    return textline(@_);
}

sub ip_services {
    return textarea(@_);
}

sub ip_nat {
    return textarea(@_);
}

my @devices;
my $curdev;
my %adr;
my %mask;
open(IFCONFIG, "/sbin/ifconfig|") || &error($text{firewallMain_ifconfig});
while(<IFCONFIG>) {
    if(/^(\S+)\s/) {
	push(@devices, $1);
	$curdev = $1;
    }
    if (/inet addr:(\S+)\s+.*Mask:(\S+)/) {
	$adr{$curdev} = $1;
	$mask{$curdev} = $2;
    }
}
close(IFCONFIG);

sub devices {
    my ($name, $deviceString)=(@_);
    my $device;
    my %haveDevice;

    foreach my $device (split(" ", $deviceString)) {
	$haveDevice{$device}=1;
    }

    &table (sub {
	foreach my $device (@devices) {
	    tableRow { printLabeledCheckbox($device, $name.".".$device,
					    $haveDevice{$device} ne "");
		       &tableCell($adr{$device});
		       &tableCell("/");
		       &tableCell($mask{$device}); }
	}
    }, {border=>0, cellspacing=>0, cellpadding=>0});

#    return textarea(@_);
}


sub services {
  my ($name, $value) = @_;

  print "<b>".html_escape($value)."</b><br>\n";
  print "<a href=\"firewallServicesList.cgi?name=$name&table=$in{table}&comment=$name\">";
  print "Edit</a>\n";
}

sub ports {
    return textline(@_);
}

sub port {
    return textline(@_);
}

sub proxy {
    my ($name, $value) = @_;
    &table(sub {
	my @proxy = split(",",$value);

	foreach my $field ([$text{firewallMain_source}, 0, 34],
			   [$text{firewallMain_destination}, 1, 34],
			   [$text{firewallMain_redirSource}, 2, 5],
			   [$text{firewallMain_redirTarget}, 3, 5]) {
	    &tableRow([ "$field->[0]: ",
		       sub {&printTextLine($name, $proxy[$field->[1]],
					   { size => $field->[2] })
			    } ]);
	}
    }, { noborder => "" });
}


sub serverList {
  my ($name, $value, $line) = @_;
  my $port = $line->[3];

  my @list;
  foreach my $item (split(/\s+/, $value)) {
    my @item = split(",", $item);
    if($item[0] =~ /\/0$/ && $item[2] == $port) {
      push(@list, $item[1]);
    }
  }
  return textarea($name.$port, join(" ", @list));
}

require 'firewall.pl';

my %file;
readFile(\%file);

&header($text{title_fwadmin}, "", "firewall", 1, 0);
hr;
mainForm("firewallMainAct",
	 $text{firewallMain_title}, sub {
	     foreach my $line (@$table) {
	       my $func = $line->[2];
	       my $name = $line->[1];
	       my $value=$file{$name};
	       &anyRow( [ {'wrap'}, &html_escape($line->[0]),
			  sub {
			    &$func($name, $value, $line)}],
			{valign=>'top'});
	     }
	     submitLine;
	     &hidden("table", $tableName);
}, {'border'});

print $explications;

&footer("/", "index");
