#!/usr/bin/perl

use English;

BEGIN { require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $tableName $filename
	    $table);


requireRole "installateur";
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;


my $services;
sub getServices {
  my ($type) = @_;
  if(defined $services) {
    return;
  }
  my @services=();
  open(SERV, "</etc/services") || &error("Could not open /etc/services"); # translateme
  while(<SERV>) {
    if( m{^(\w+)\s+(\d+)\/(udp|tcp)} ) {
      if($3 eq $type) {
	push(@services, $1);
      }
    }
  }
  @services = sort @services;
  $services = \@services;
  close(SERV);
}

require 'firewall.pl';

my $name=$in{name};
my $desc;
foreach my $line (@$table) {
  if($line->[1] eq $name) {
    $desc = $line;
    last;
  }
}

if(!defined $desc) {
  &error("No such parameter $in{name}");
}

my %file;
readFile(\%file);

my $type;
if($name =~ /_TCP$/) {
  $type = 'tcp';
} elsif ($name =~ /_UDP$/) {
  $type = 'udp';
} elsif ($name =~ /_(\w+)$/) {
  &error("Unknown type $1");
}

getServices($type);

&header($text{title_boxadmin}, "", "firewall", 1, 0);


hr;
form "firewallServicesListAct",
    sub {table {'border'},
	 [
	  {$tb},
	  [ {colspan=>3},
	    "<b>".&text('firewallList_title',"\L$in{comment}")."</b>" ],
	  {$cb}, [ sub {
		     hidden("name", $name);
		     hidden("table", $in{table});
		     printMultiList('plus', $services, undef);
		   },
		   sub {
		     print submit("<==");
		     print "<br>";
		     print submit("==>");
		   },
		   sub {
		     my @checked = split (/\s+/, $file{$name});
		     printMultiList('minus', \@checked, undef);
		   }
		 ]] };

&footer("/", "index");
