#!/usr/bin/perl

use English;

BEGIN { require './school-lib.pl'};

use strict;
use vars qw(%in %text %config $logged $tb $cb $tableName $filename
	    $table);


requireRole "installateur";
&ReadParse(\%in);

# Saisie uniquement
$logged = 1;

require 'firewall.pl';

my $name=$in{name};
my $desc;
foreach my $line (@$table) {
  if($line->[1] eq $name) {
    $desc = $line;
    last;
  }
}

if(!defined $desc) {
  &error("No such parameter $in{name}");
}

my %file;
readFile(\%file);
my $value = $file{$name};
my %scoreboard;

if($in{action} eq "<==") {
  foreach my $i (split("\0", $in{minus})) {
    $scoreboard{$i} = 1;
  }
  my @out;
  foreach my $i (split(/\s+/, $value)) {
    if(! exists $scoreboard{$i}) {
      push(@out, $i);
    }
  }
  $value = join(" ", @out);
} elsif($in{action} eq "==>") {
  foreach my $i (split(/\s+/, $value)) {
    $scoreboard{$i} = 1;
  }
  foreach my $i (split("\0", $in{plus})) {
    if(!exists $scoreboard{$i}) {
      $value .= " $i";
      $scoreboard{$i} = 1;
    }
  }
} else {
  &error("Unknown action $in{action}"); # translateme
}

$file{$name} = $value;
writeFile(\%file);

&redirect("firewallServicesList.cgi?comment=$in{comment}&table=$in{table}&name=$in{name}");
