#!/usr/bin/perl
# This file is used to kill processes belonging to the given user whenever
# a privilege is revoked

use strict;
use English;
BEGIN {
    require './school-lib.pl';
}
use GroupFile;

# Update file from HTML reply
sub killProcesses {
  my ($file, $commands, $signal) = @_;

  my %groups;

  open(FILE, "<", $file) || die "Could not open deny file ($ERRNO)\n";
  while(<FILE>) {
    chomp;
    s/\#.*//;
    if(/\s*(\S+)\s*/) {
      my $gline = groupDB->get($1);
      if(defined $gline) {
	$groups{$gline->gid} = 1;
      }
    }
  }
  close(FILE);

  foreach my $proc (glob "/proc/[1-9]*/") {
    my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,
                      $atime,$mtime,$ctime,$blksize,$blocks)
      = stat($proc);
    next unless $groups{$gid};
    open(CMDLINE, "<", $proc."/cmdline") || next;
    my $cmd = <CMDLINE>;
    close(CMDLINE);
    chomp($cmd);
    $cmd =~ s/\0.*//;
    $cmd =~ s/.*\///;
    my $signal = $commands->{$cmd};
    next unless $signal;
    if($proc =~ /^\/proc\/([0-9]+)\/?$/) {
      my $pid=$1;
      kill($signal,$pid);
    }
  }
}

1;
