#!/usr/bin/perl

use English;

BEGIN { require './school-lib.pl' };
use strict;
use vars qw(%in %text %config $logged $tb $cb);

&header($text{title_useradmin}, "", "intro", 1, 0);

# Saisie uniquement
$logged = 1;


my @aliases;
open(IN, "</etc/aliases") ||
  &error(&text('error_openRead', "/etc/aliases", $ERRNO));
while(<IN>) {
  chop;
  if (/^(\s*)(\S+)(\s*):(\s*)(\S+)\@(\S+)\s*/) {
    unshift(@aliases, [ $2, "$5\@$6"]);
  }
}
close(IN);


hr;
mainTable($text{listExtAliases_title},
	  { 'border' }, sub {
	      &tableRow([ $text{listExtAliases_alias},
			  $text{listExtAliases_phys} ],{align=>"center"});

	      foreach my $line (@aliases) {
		&tableRow([ sub { printLink("addExtAlias", $line->[0],
					    {mode=>'edit',
					     alias=>$line->[0]})},
			    &html_escape($line->[1])]);
	      }
	      tableRow {submitLine 2};
});

printLink("addExtAlias", $text{listExtAliases_add},
	  { mode => 'add' });
hr;

&footer(".", "index");
