#!/usr/bin/perl

use Time::Local;

BEGIN {
    $demo_allow = 1;
    require './school-lib.pl';
    require './logfile.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $protoName);

&ReadParse(\%in);
require 'date.pl';
require 'tcpProtoNames.pl';

# Consultation uniquement
$logged = 1;

my $searchDestPort = $in{'destPort'};
my $searchDestIp = $in{'destIp'};
my $searchSrcPort = $in{'srcPort'};
my $searchSrcIp = $in{'srcIp'};

my @dates = getMinMaxDates \%in;


$| = 1;

&header($text{title_logconsult}, "", "log", 1, 0);

&table ( {'border'}, sub {
    &tableRow([$text{log_date},
	       $text{log_hour},
	       $text{listFirewallLogAct_chain},
	       $text{listFirewallLogAct_action},
	       $text{listFirewallLogAct_interface},
	       $text{listFirewallLogAct_protocol},
	       $text{listFirewallLogAct_sourceIP},
	       $text{listFirewallLogAct_sourcePort},
	       $text{listFirewallLogAct_destIP},
	       $text{listFirewallLogAct_destPort} ],
	      {$tb => ''});
    logReadLoop {
	my ($line, $yearbase) = @_;
	my ($date, $rest) = parseSyslogDate $line, $yearbase, @dates;

	if (! (defined $date)) {
	    return undef;
	}

	if($rest !~ /^\S* kernel: Packet log: (\S*) (\S*) (\S*) PROTO=(\d*) ([\d\.]*):(\d*) ([\d\.]*):(\d*)/) {
	    return undef;
	}

	my $chain     = $1;
	my $action    = $2;
	my $interface = $3;
	my $proto     = $4;
	my $srcIp     = $5;
	my $srcPort   = $6;
	my $destIp    = $7;
	my $destPort  = $8;

	if ($protoName->{$proto}) {
	    $proto = $protoName->{$proto};
	}

	if (($searchDestPort && $searchDestPort ne $destPort) ||
	    ($searchDestIp && index($destIp, $searchDestIp) != 0) ||
	    ($searchSrcPort && $searchSrcPort ne $srcPort) ||
	    ($searchSrcIp && index($srcIp, $searchSrcIp) != 0)) {
	    return undef;
	}

	&tableRow([{'nowrap'}, dateHeure($date),
		   $chain, $action, $interface, $proto, $srcIp, $srcPort,
		   $destIp, $destPort ],
		  {$cb => ''});
	return undef;
    } "/var/log/messages", "", @dates;
});

&footer("/", "index");
