#!/usr/bin/perl

BEGIN {
    require './school-lib.pl';
    require './logfile.pl';
};
use strict;
use vars qw(%in %text %config $logged $tb $cb);

&header($text{title_logconsult}, "", "log", 1, 0);

# Saisie uniquement
$logged = 1;


require 'date.pl';

hr;

my $priv = haveRole("titulaire") || haveRole("installateur");

mainForm("listSquidLogAct",
	 $text{listSquidLog_title},
	  sub {
	      tableRow {
		  printLabeledTextLine($text{log_user}, "user");
		  printLabeledTextLine($text{log_client}, "clientHost");
	      };
	      &tableRow([{align=>'right'}, $text{listSquidLog_url},
			 {align=>'left', colspan=>3}, sub {
			   printTextLine("url", "", {size=>60}) }]);
	      &tableRow([{align=>'right', colspan=>2},
			 $text{listSquidLog_refusedOnly},
			 {align=>'left', colspan=>2}, sub {
			   printCheckbox("denyOnly", 0)}]);
	      &tableRow([{align=>'right', colspan=>2},
			 $text{listSquidLog_recentOnly},
			 {align=>'left', colspan=>2}, sub {
			   my $sel;
			   if ($priv) {
			     printRadio("recent", 0, 0);
			     iprint $text{no};
			     br;
			     $sel = 0;
			   } else {
			     $sel = 300;
			   }

			   printRadio("recent", 3600, $sel);
			   iprint $text{listSquidLog_lastHour};
			   br;

			   printRadio("recent", 1800, $sel);
			   iprint $text{listSquidLog_lastHalfHour};
			   br;

			   printRadio("recent", 900, $sel);
			   iprint $text{listSquidLog_lastQuarterHour};
			   br;

			   printRadio("recent", 300, $sel);
			   iprint $text{listSquidLog_lastFiveMinutes};
			 }]);
	      if ($priv) {
		  printDateAndSubmit;
	      } else {
		  tableRow { submitLine(4) };
	      }
	  });

&footer("/", "index");
