#!/usr/bin/perl

use Time::Local;

BEGIN {
    $demo_allow = 1;
    require './school-lib.pl';
    require './logfile.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb);

&ReadParse(\%in);
require 'date.pl';

# Consultation uniquement
$logged = 1;

my $searchToUser = $in{'toUser'};
my $searchFromUser = $in{'fromUser'};

my @dates = getMinMaxDates \%in;

&header($text{title_logconsult}, "", "log", 1, 0);

&table ( {'border'}, sub {
	   &tableRow([$text{log_date},
		      $text{log_hour},
		      $text{log_user},
		      $text{listSuLog_toUser},
		      $text{log_success},
		      $text{listSuLogAct_terminal} ],
		     {$tb => ''});
	   logReadLoop {
	     my ($line, $yearbase) = @_;
	     my ($date, $rest) = parseSyslogDate $line, $yearbase, @dates;

	     if (! (defined $date)) {
	       return undef;
	     }

	     if($rest !~ /^\S* su: (FAILED SU )?\(to (\S*)\) (\S*) on (\S*)$/) {
	       return undef;
	     }

	     my $failed = $1;
	     my $toUser = $2;
	     my $fromUser = $3;
	     my $terminal = $4;

	     if (($searchToUser && $searchToUser ne $toUser) ||
		 ($searchFromUser && $searchFromUser ne $fromUser)) {
	       return undef;
	     }

	     &tableRow([{'nowrap'}, dateHeure($date),
			"<a href=\"editUser.cgi?login=$fromUser\">$fromUser</a>",
			$toUser,
			$failed ? "non" : "oui", $terminal],
		       {$cb => ''});
	     return undef;
	   } "/var/log/messages", "", @dates;
	 });

&footer("/", "index");
