#!/usr/bin/perl

use Time::Local;

BEGIN {
    $demo_allow = 1;
    require './school-lib.pl';
    require './logfile.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $protoName);


&ReadParse(\%in);
require 'date.pl';
require 'tcpProtoNames.pl';

# Consultation uniquement
$logged = 1;

#$searchDestPort = $in{'destPort'};

my @dates = getMinMaxDates \%in;


&header($text{title_logconsult}, "", "log", 1, 0);

&table ( {'border'}, sub {
    &tableRow([$text{log_date},
	       $text{log_hour},
	       $text{log_program},
	       $text{listFirewallLogAct_sourceIP},
	       $text{listTcpdLogAct_remoteUser},
	       $text{log_success} ],
	      {$tb => ''});
    logReadLoop {
	my ($line, $yearbase) = @_;
	my ($date, $rest) = parseSyslogDate $line, $yearbase, @dates;

	if (! (defined $date)) {
	    return undef;
	}

	if($rest !~ /^\S* (\S*)\[\d*\]: (refused )?connect from (.*@)?(.*)/) {
	    return undef;
	}

	my $program   = $1;
	my $refused   = $2;
	my $user      = $3;
	my $src       = $4;

	if ($user =~ /(.*)\@/) {
	    $user = html_escape($1);
	} else {
	    $user = "&nbsp;";
	}

#	if ($protoName->{$proto}) {
#	  $proto = $protoName->{$proto};
#	}

#	if (($searchDestPort && $searchDestPort ne $destPort) ||
#	    ($searchDestIp && index($destIp, $searchDestIp) != 0) ||
#	    ($searchSrcPort && $searchSrcPort ne $srcPort) ||
#	    ($searchSrcIp && index($srcIp, $searchSrcIp) != 0)) {
#	    return undef;
#	}

	&tableRow([{'nowrap'}, dateHeure($date),
		   $program, $src, $user, $refused ? "non" : "oui" ],
		  {$cb => ''});
	return undef;
    } "/var/log/warn", "", @dates;
});

&footer("/", "index");
