#!/usr/bin/perl

use Time::Local;

BEGIN {
    $demo_allow = 1;
    require './school-lib.pl';
    require './logfile.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb);

&ReadParse(\%in);
require 'date.pl';

# Consultation uniquement
$logged = 1;

my $searchUser = $in{'user'};
my $searchAction = $in{'operation'};
my $searchClientHost = $in{'clientHost'};

my @dates = getMinMaxDates \%in;

&header($text{title_logconsult}, "", "log", 1, 0);

&table ( {'border'}, sub {
	     &tableRow([$text{log_date},
			$text{log_hour},
			$text{log_user},
			$text{log_client},
			$text{log_program},
			$text{listWebminLog_action} ],
	      {$tb => ''});
    logReadLoop {
	my ($line, $yearbase) = @_;
	my ($date, $rest) = parseSyslogDate $line, $yearbase, @dates;

	if (! (defined $date)) {
	    return undef;
	}

	if($rest !~ /^\S* webmin\[\d*\]: ([a-zA-Z0-9]*)\/(\d*\.\d*.\d*\.\d*): (\S*) (.*)/) {
	    return undef;
	}

	my $user       = $1;
	my $clientHost = $2;
	my $programme  = $3;
	my $action     = $4;

	if($searchUser && $searchUser ne $user) {
	    return undef;
	}

	if($searchClientHost && $searchClientHost ne $clientHost) {
	    return undef;
	}

	if($searchAction && index($action, $searchAction, 0) == -1) {
	    return undef;
	}

	&tableRow([{'nowrap'}, dateHeure($date), $user, $clientHost,
		   $programme, {'wrap'}, &html_escape($action)."&nbsp;" ],
		  {$cb => ''});
	return undef;
    } "/var/log/messages", "", @dates;
});

&footer("/", "index");
