#!/usr/bin/perl
use strict;
use vars qw(%text);

BEGIN {
  require 'html.pl';
}
require 'school-lib.pl';

sub menu {
    hr;

    ul {
	if (-f "/etc/userDB") {
	    li; big("$text{menu_useradmin}");
	    ul {
		if(!isLllI()) {
		    li; printLink "classOverview",
		      $text{userdb_lockClassTitle};
		}
		li; printLink "editUserAZ", $text{menu_editUser};
		if (haveRole("admin")) {
		    if(!isLllI()) {
			li;
			printLink "addUser",
			  $text{menu_createele}, {cat => "ELE"};
			li;
			printLink "addUser", 
			  $text{menu_createusernonele};
		    } else {
			li;
			printLink "addUser", $text{menu_createuser};
		    }
		    if(!isLllI()) {
			li;
			printLink "newClass", $text{menu_createclass};
			li;
			printLink "purgeClasses", $text{menu_purgeclasses};
		    }
		    li;
		    printLink "projects", $text{menu_projectshares};
		}
		if (!isLllI() && haveRole("titulaire")) {
		  li; printLink "teacherClass", $text{menu_teacherClass};
		}
		li;
		printLink "createBatchUsers", $text{menu_createGuestUsers},
		  { cat => 'GUE' };
		li;
		printLink "deleteBatchUsers", $text{menu_deleteGuestUsers},
		  { cat => 'GUE' };
		if(!isLllI()) {
		    li;
		    printLink "createBatchUsers", $text{menu_createExamUsers},
		      { cat => 'EXA' };
		    li;
		    printLink "deleteBatchUsers", $text{menu_deleteExamUsers},
		      { cat => 'EXA' };
		}
		li; printLink "audit", $text{menu_audit};
		if (haveRole("admin")) {
		    li; printLink "purge", $text{menu_purgeDelUsers};
		    li; printLink "purgeAct", $text{menu_purgeTestUsers};
		    if(!isLllI()) {
			li; printLink "batch", $text{menu_batch};
		    }
		}
	    };
	    br;
	}

	if (-f "/etc/classrooms") {
	    if (haveRole("installateur") || haveRole("titulaire")) {
		li; big($text{menu_boxadmin});
		ul {
		    if (haveRole("installateur")) {

			li; printLink
			    "serviceRestart", $text{menu_serviceRestart};
			#li; printLink
			#    "addWinbox", $text{menu_addNt};
			li; printLink
			    "listWinboxes", $text{menu_listNt};
			if(!isLllI()) {
			    li; printLink
			      "addClassroom", $text{menu_addClassroom};
			}
		    }
		    if(!isLllI()) {
			li;
			printLink "listClassrooms", $text{menu_listClassrooms};
		    }
		    if (haveRole("installateur")) {
			li; printLink
			  "dhcp", $text{menu_dhcp};
		    }
		};
		br;
	    };
	}

	if(haveRole("installateur") && -f "/etc/init.d/firewall") {
	    li; big($text{menu_fwadmin});
	    ul {
		li; printLink("firewallMain", $text{menu_fwBase},
			      {table => "netParam"});
		li; printLink("firewallMain", $text{menu_fwIncoming},
			      {table => "incoming"});
		li; printLink("firewallMain", $text{menu_fwOutgoing},
			      {table => "outgoing"});
		li; printLink("squidCensored", $text{menu_fwSquid});
		li; printLink("listFirewallLog", $text{menu_fwLog});
	    };
	    br;
	}


	if(haveRole("admin")) {
	    li; big($text{menu_webmin});
	    ul {
		li; printLink("listWebminLog", $text{menu_webminLog});

	    };
	    li; big("Aliases");
	    ul {
		li; printLink("listExtAliases", $text{menu_aliases});
	    };
	    br;
	}



	if ((haveRole("stagiaire") || haveRole("installateur"))) {
	    li; printLink("listSquidLog", $text{menu_squidLog});
	}

	li; printLink("listSuLog", $text{menu_suLog});
	li; printLink("listTcpdLog",$text{menu_tcpdLog});
    };
    hr;
}

1;
