#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
    require './school-lib.pl';
}
use English;
use ClassPerms;
use GroupFile;

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_newClassAct};
requireRole("titulaire");

&ReadParse(\%in);
my $classe = uc($in{'nom'});
if ($classe =~ /([^$ClassPerms::classAllowedChars])/) {
  my $bad = $1;
  &error(&text('newClassAct_badChar',$bad,$classe));
}

if(-d ClassPerms::getClassDir($classe)) {
  &error(&text('newClassAct_exists',$classe));
}

ClassPerms::newClass($classe);
groupDB->write();

redirect("index.cgi");
