#!/usr/bin/perl
# notesUser.cgi
# displays notes attached to the given user

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

use Note;

# Consultation uniquement
$logged = 1;

$whatfailed = $text{whatfailed_notesUser};
ReadParse;

my ($login, $userdbLine, $passwdLine) = checkUserForModification();
&header($text{title_useradmin}, "", "user", 1, 0);
hr;

print "<h1>".$text{notesUser_title}." <em>$login</em></h1>\n";

my @notes = Note::getNotes($login);
if (@notes > 0) {
  foreach my $note (@notes) {
    $note->print();
  }
} else {
  print $text{notesUser_noComment}."<p>\n";
}

form("addCommentAct", sub {
    table ( {border=>1, cellspacing=>0},
	   [ {$tb},
	    [ {colspan=>2}, $text{notesUser_boxTitle}." <em>".
	     &html_escape($login)."</em>" ],
	    {$cb},
	     [sub {
		print "<b>".$text{notesUser_subject}.":</b>";
		printTextLine("subject", "", {size=>70});
	      }],
	     [sub {
		printTextArea("note", "", {cols=>80, rows=>10, wrap=>1});
	      }],
	     sub { submitLine(2, $text{notesUser_addComment}) }]);
    &dumpLogin;
}, {enctype=>"multipart/form-data"});

hr;

&footer("/", "index");
