&foreign_require("samba", "samba-lib.pl");

use strict;

sub getProjectShares {
  my @projects = ();
  my @shares = &foreign_call("samba", "list_shares");

  foreach my $share (@shares) {
    my %array;

    &foreign_call("samba", "get_share", $share, \%array);
    if ($array{directory} =~ /^\/home\/projects\//) {
      push(@projects, $share);
    }
  }

  return @projects;
}

sub validateProjectName {
  my ($name) = @_;

#  if (length($name) > 8) {
#    &error(&text('projects_tooLong', $name));
#  }

  if ($name =~ /([^A-Za-z0-9])/) {
      &error(&text('projects_badChar', html_escape($1), $name));
  }
}


sub getProjectShare {
  my ($name) = @_;

  my $found = foreign_call("samba", "get_share", $name);
  if (! $found) {
    &error(&text('projects_notFound', $name));
  }
  my $dir = foreign_call("samba", "getval", "directory");
  if ($dir ne "/home/projects/".$name) {
      &error(&text('projects_shareNotProject', $name));
  }

  return $dir;
}
