#!/usr/bin/perl
# purgeSamba.cgi
# The action of purging

BEGIN {
    require './school-lib.pl';
    require './school-users.pl';
}
use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);


$whatfailed = $text{whatfailed_purgeSamba};
requireRole("installateur");
&ReadParse(\%in);

use Lock;

&Lock::lock("/etc/samba/smbpasswd");

open(SMBPASSWD, "</etc/samba/smbpasswd") ||
  error("Could not read /etc/samba/smbpasswd");
open(SMBPASSWD_OUT, ">/etc/samba/smbpasswd.$$") ||
  error("Could not write /etc/samba/smbpasswd");

while(<SMBPASSWD>) {
  chop;
  my @line = split(":");
  if ($line[0] =~ /\$$/) {
    if ($line[4] =~ /D/) {
      next;
    }
  }
  print SMBPASSWD_OUT "$_\n";
}

close(SMBPASSWD);
close(SMBPASSWD_OUT);

rename "/etc/samba/smbpasswd.$$", "/etc/samba/smbpasswd";

&Lock::unlock("/etc/samba/smbpasswd");
&redirect("listWinboxes.cgi");
