# school user lib.pl

use English;
use strict;
use lib qw(/usr/lib/userd);

#BEGIN {
#  open(STDERR, ">/dev/pts/2");
#}

do '../web-lib.pl';

use strict;
use vars qw(%text %in $cb $tb);

&init_config("school");
require 'html.pl';

require "roles.pl";
require 'menu.pl';

use English;

sub watchProcess {
    my ($proc, $verbose) = @_;

    if ($verbose) {
	hr();
	print "<code>";

	print "&gt; $proc\n";
    }

    open(PROCESS, "$proc 2>&1 |");
    while(<PROCESS>) {
	chop;
	s/&/&amp;/g;
	s/</&lt;/g;
	s/>/&gt;/g;
	s/\r\033\[80C/ /g;
	s/\033\[80C/ /g;
	s/\033\[9D/ /g;
	s/\033\[1m/ /g;
	s/\033\[31m/<b><font color=red>/g;
	s/\033\[32m/<b><font color=green>/g;
	s/\033\[m/<\/font><\/b>/g;
	if ($verbose) {
	    print "$_<br><b></b>\n";
	}
    }
    close(PROCESS);

    if ($verbose) {
	print "</code>\n";
    }
}

sub parseDirName {
  my ($passwdLine, $dirName) = @_;

  $dirName = '/'.$dirName;
  if ($dirName =~ /\/\.\.$/ || $dirName =~ /\/\.\.\//) {
    &error($text{error_hackAttempt}." Dir is .. ($dirName)");
  }

  $dirName =~ s/\/\/*/\//g;

  my $dir = ($passwdLine->homedir).$dirName;
  if (-l $dir) {
    &error($text{error_hackAttempt}." Dir $dirName is a link");
  }
  return ($dir, $dirName);
}

sub stopsys(@) {
    my $i;
    for(my $i=@_ - 1; $i >=0 ; $i --) {
	system("/etc/init.d/$_[$i] stop >&2");
    }
}


sub startsys(@) {
    my $i;
    for(my $i=0; $i < @_; $i++) {
	system("/etc/init.d/$_[$i] start >&2");
	if ($? != 0) {
	    &error(&text('school-lib_restart', $_[$i]));
	}
    }
}

sub restart(@) {
    stopsys(@_);
    startsys(@_);
}

sub reload(@) {
    my $i;
    for(my $i=@_ - 1; $i >=0 ; $i --) {
	system("/etc/init.d/$_[$i] reload >&2");
    }
}


sub smartcmp {
  my ($ac, $bc);
  if(@_ == 2) {
    ($ac, $bc) = @_;
  } else {
    ($ac, $bc) = ($a, $b);
  }
  while(1) {
    my ($aRest, $bRest);
    if($ac =~ /^([0-9]+)(.*)/) {
      my $aDig = $1;
      $aRest = $2;
      if($bc =~ /^([0-9]+)(.*)/) {
	my $bDig = $1;
	$bRest = $2;
	my $rDig = $aDig <=> $bDig;
	return $rDig if($rDig != 0);
      } else {
	return($ac cmp $bc);
      }
    } elsif($ac =~ /^([^0-9]+)(.*)/) {
      my $aTxt = $1;
      $aRest = $2;
      if($bc =~ /^([^0-9]+)(.*)/) {
	my $bTxt = $1;
	$bRest = $2;
	my $rTxt = $aTxt cmp $bTxt;
	return $rTxt if($rTxt != 0);
      } else {
	return($ac cmp $bc);
      }
    } else {
      return ($ac cmp $bc);
    }
    $ac = $aRest;
    $bc = $bRest;
  }
}


sub isLllI {
    if(-f "/etc/lll-i") {
	return 1;
    } else {
	return 0;
    }
}

$| = 1;

1;
