#!/usr/bin/perl
# serviceRestart.cgi
# Presents a page allowing to restart various services

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
};

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_serviceRestart};
&ReadParse(\%in);

requireRole('installateur');

&header($text{title_boxadmin}, "", "boxes#services", 1, 0);

hr;


sub startButton {
    my ($service) = @_;
    namedSubmit("start_".$service, $text{svc_start});
}

sub stopButton {
    my ($service) = @_;
    namedSubmit("stop_".$service, $text{svc_stop});
}

sub restartButton {
    my ($service) = @_;
    namedSubmit("restart_".$service, $text{svc_restart});
}

sub serviceLine {
    my ($status, $name) = @_;
    my $color;
    if(!$status) {
	$color={"bgcolor=#80ff80"};
    } else {
	$color={"bgcolor=#ff8080"};
    }
    return ($color,
	    [ $name,
	      sub { startButton($name)},
	      sub { stopButton($name)},
	      sub { restartButton($name)} ]);
}

sub checkLine {
    my ($status, $name) = @_;
    my $color;
    if($status) {
	$color={"bgcolor=#ff8080"};
    } else {
	$color={"bgcolor=#80ff80"};
    }
    return ($color,
	    [ $name, $status ]);
}

my @services=();

foreach my $serviceScript (glob "svc__*") {
    if($serviceScript =~ /^svc__[0-9]*(.*[^~])$/) {
	my $service = $1;
	my $status = system("./$serviceScript status");
	push (@services, serviceLine($status,$1));
    }
}


form "serviceRestartAct", sub {
    table ( {border=>1, cellspacing=>0},
	   [ {$tb},
	    [ {colspan=>4}, $text{userAdmin_restartServices} ],
	    {$cb},
	     @services,
           ]);
};

my @checks=();
foreach my $checkScript (glob "chk__*") {
    if($checkScript =~ /^chk__[0-9]*(.*[^~])$/) {
	my $service = $1;
	my $status = system("\"./$checkScript\" status");
	push (@checks, checkLine($status,$1));
    }
}

table ( {border=>1, cellspacing=>0},
	[ {$tb},
	  [ {colspan=>2}, $text{userAdmin_checkServices} ],
	  {$cb},
	  @checks,
	]);


&menu;
&footer("/", "index");
