#!/usr/bin/perl
# save_user.cgi
# Saves or creates a new user. If the changes require moving of the user's
# home directory or changing file ownerships, do that as well

BEGIN {
    require './school-lib.pl';
}

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
use PasswdFile;

$whatfailed = $text{whatfailed_serviceRestartAct};
requireRole("installateur");

&ReadParse(\%in);


foreach my $key (keys %in) {
    foreach my $prefix ("start", "stop", "restart") {
	if($key =~ /^${prefix}_([a-z]*)$/) {
	    my $service=$1;
	    my $out=0;
	    &clean_environment();
	    open(OUTPUT, "./svc__$service $prefix 2>&1 |");
	    &reset_environment();
	    while(<OUTPUT>) {
		$out .= $_;
	    }
	    if(!close(OUTPUT)) {
		print "Content-Type: text/plain\n\n";
		print "An error occured while ${prefix}ing $service:\n\n";
		print $out;
		exit(0);
	    }
	    &redirect('serviceRestart.cgi');
	}
    }
}
die "No such service found\n";
exit(0);
