#!/usr/bin/perl
# setExamPasswords.cgi
# Attributes new passwords to an exam class

use strict;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);
require 'setExamPasswords.pl';
BEGIN {
  require 'html.pl';
  require 'school-lib.pl';
}

require 'setExamPasswords.pl';

$whatfailed = $text{whatfailed_setExamPasswords};

use English;
use UserDBFile;

&ReadParse(\%in);

my $class = $in{class};
my @users;

# Make inventory of userDB users
foreach my $line (userDB->array()) {
  my $cat = $line->cat;
  next if($cat ne "exa");
  next if ($line->class ne $class);
  next if ($line->isDeleted);
  push(@users, $line->user);
}

@users = sort { smartcmp } @users;
if(@users == 0) {
  &error(&text('setExamPasswords_noUsers', $class));
}

&header($text{title_setExamPasswords}, "", "exam", 1, 0);

changeExamPass(@users);

printLink "editUser0", $text{back}, { classe => $class };

hr;

&footer("/", "index");
