# Squid stuff

use strict;
require 'textareaFile.pl';

my $squidDir = "/etc/lll/squid";

# FIXME: need to point banned users to pam
my @squidFiles =
  ( [ "bannedUsers", "/etc/lll/security/squid/user.deny"], "directClients",
    "censoredDomains", "censoredIPs",
    "localNets" );

sub parseRecord {
  my ($rec) = @_;
  my ($key, $filename);
  if(ref($rec)) {
    ($key, $filename) = @$rec;
  } else {
    $key = $rec;
    $filename = $squidDir . "/" . $rec;
  }
  return ($key, $filename);
}

sub displaySquidFile {
  my ($idx) = @_;

  my $rec = $squidFiles[$idx];
  if(!defined $rec) {
    die "No squid record $rec defined";
  }
  my ($key, $filename) = parseRecord($rec);
  displayFile($key, $filename, 30, 10);
}

sub saveSquidFiles {
  my ($in) = @_;
  foreach my $rec (@squidFiles) {
    my ($key, $filename) = parseRecord($rec);
    saveFile($in, $key, $filename);
  }
}

1;
