use strict;
use vars qw($table $firewallScript @firewallScripts $explications $filename);

$filename="/etc/rc.config.d/firewall.rc.config";
$table = [
	  [ $text{suseWall_protectInternal}, "PROTECT_FROM_INTERNAL",
	    \&checkbox ],

	  [ $text{suseWall_protectGlobal}, "AUTOPROTECT_GLOBAL_SERVICES",
	    \&checkbox ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_outside}),
	    "SERVICES_EXTERNAL_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_outside}),
	    "SERVICES_EXTERNAL_TCP", \&services ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_dmz}),
	    "SERVICES_DMZ_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_dmz}),
	    "SERVICES_DMZ_TCP", \&services ],

	  [ &text('suseWall_accessFrom', 'UDP', $text{suseWall_inside}),
	    "SERVICES_INTERNAL_UDP", \&services ],
	  [ &text('suseWall_accessFrom', 'TCP', $text{suseWall_inside}),
	    "SERVICES_INTERNAL_TCP", \&services ],

	  [ &text('suseWall_trustedHigh', 'TCP'),
	    "ALLOW_INCOMING_HIGHPORTS_TCP", \&services ],

	  [ &text('suseWall_trustedHigh', 'UDP'),
	    "ALLOW_INCOMING_HIGHPORTS_UDP", \&services ],

	  [ &text('suseWall_service', 'DNS'),
	    "SERVICE_DNS", \&checkbox ],

	  [ $text{suseWall_dhcpClient},
	    "SERVICE_DHCLIENT", \&checkbox ],

	  [ &text('suseWall_service', 'DHCP'),
	    "SERVICE_DHCPD", \&checkbox ],

	  [ &text('suseWall_accessToInternal', 'TCP'),
	    "FORWARD_TCP", \&textline ],

	  [ &text('suseWall_accessToInternal', 'UDP'),
	    "FORWARD_UDP", \&textline ],

	  [ $text{suseWall_keepRoute},
	    "STOP_KEEP_ROUTING_STATE", \&checkbox ],

	  ];

$firewallScript="firewall";

@firewallScripts=("firewall", "school-firewall", "classrooms");


$explications = <<EOF
<h1>Explications</h1>
<ul>
<li>Le bouton <b>Dmarrage du pare-feu</b> dtermine si le pare-feu est activ ou pas.  Il commande l'activation de <u>tout</u> le pare-feu, y compris des
aspects configurs par les autres tableaux (Entrant, sortant)

<li>Le bouton <b>Trace des paquets rfuss</b> dtermine si le systme
note les paquets refuss dans son <a href="listFirewallLog.cgi">journal</a>

<li>Le champ "<b>Sites amis</b>" contient une liste de machines dont l'accs
n'est pas filtr par le pare-feu

<li>Les <b>Machines ayant accs direct  l'extrieur"</b> sont des machines internes qui ne sont soumises  aucune restriction dans leur accs  l'extrieur.
(Pas d'obligation de passer par le proxy, accs  tous les serveurs News, etc.)


</ul>
EOF
;

1;
