#!/usr/bin/perl
# teacherClass.cgi
# Presents a page mapping teachers to their class shares

BEGIN {
  require './school-lib.pl';
  require './school-users.pl';
  require './teacherClass.pl';
};

use strict;
use English;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_teacherClass};
&ReadParse(\%in);

requireRole('titulaire');

my $amAdmin = haveRole('admin');
my $me = $ENV{REMOTE_USER};

my %classes;

# Teachers which already have a class
foreach my $file (glob tcDirectory."/*.conf") {
  if($file =~ /^.*\/(.*)\.conf$/) {
    $classes{$1}=getClassFromFile($file);
  }
}

my @entries;

# Teachers which have no class
foreach my $line (userDB->array) {
  my $login = $line->user;
  next unless $line->type eq "ENS";
  next unless ($amAdmin || $login eq $me);
  my $class;
  if(exists($classes{$login})) {
    $class=$classes{$login};
  } else {
    $class="";
  }

  push(@entries, [ $login, sub { printTextLine("class.$login",$class)}]);

}

@entries = sort { return $a->[0] cmp $b->[0] } @entries;

&header($text{title_teacherClass}, "", "", 1, 0);


form "teacherClassAct", sub {
    table ( {border=>1, cellspacing=>0},
	   [ {$tb},
	    [ {colspan=>2}, $text{userAdmin_teacherClass} ],
	    {$cb},
	     [ "<b>$text{teacher}</b>","<b>$text{class}</b>"],
	     @entries,
	     sub { submitLine(3); }
           ]);
};


&menu;
&footer("/", "index");
