#!/usr/bin/perl
# teacherClassAct.cgi
# Saves teacher-class mappings

BEGIN {
    require './school-lib.pl';
}
require './teacherClass.pl';

use strict;
use English;
use vars qw(%in %text %config $logged $tb $cb $whatfailed);

$whatfailed = $text{whatfailed_teacherClass};
requireRole('titulaire');

my $amAdmin = haveRole('admin');
my $me = $ENV{REMOTE_USER};

&ReadParse(\%in);

foreach my $key (keys %in) {
  next unless $key =~ /^class\.(.*)/;

  my $teacher = $1;

  next unless ($amAdmin || $teacher eq $me);

  my $class   = $in{$key};

  $key =~ s/[^A-Za-z0-9_-]//;
  next unless $key;


  $class = uc($class);
  $class =~ s/[^A-Za-z0-9_-]//;

  my $filename= tcDirectory()."/$teacher.conf";
  if(-f $filename) {
    my $currentClass = getClassFromFile($filename);
    next if($currentClass eq $class);
  }

  my $classDirectory = "/home/classes/$config{classe_prefix}$class";

  # File does not yet exist, generate it from scratch
  open(OUT, ">$filename.$$") || die "Could not write $filename ($ERRNO)\n";
  print OUT <<EOF
[classe]
  comment = shared directory for a class ($teacher)
  browseable = yes
  path = $classDirectory/commun
  force user = ens
  force group = cl$class
  create mode = 0775
  force directory mode = 0775
[templates]
  comment = directory where the teacher can put templates for his class ($teacher)
  hide dot files = no
  browseable = yes
  create mode = 0755
  force directory mode = 755
  writable = yes
  path = $classDirectory/templates
EOF
    || die "Could not write $filename ($ERRNO)\n";

close(OUT);
rename("$filename.$$", "$filename") ||
  die "Could not put filename\n";
}

&redirect('teacherClass.cgi');
