# This file handles editing files via textareas

use strict;
use English;
use vars qw/%in/;

require 'school-lib.pl';

sub displayFile {
  my ($key, $filename, $width, $height) = @_;

  if(!defined $width) {
    $width = 80;
  }

  if(!defined $height) {
    $height = 20;
  }

  my @contents;
  if (-f $filename) {
    open(FILE, "<$filename") ||
      &error(&text('error_openRead', $filename, $ERRNO));
    @contents=<FILE>;
    close(FILE);
  } else {
    @contents=();
  }
  my $contents=join("", @contents);
  printTextArea($key, $contents, {cols=>$width, rows=>$height});
}


sub saveFile {
  my ($in, $key, $filename, $allowed) = @_;
  if(!exists $in->{$key}) {
    # Key not present in form, ignore
    return;
  }
  my $value = $in->{$key}."\n";
  $value =~ s/\s*$//gsm;
  $value =~ s/^\s*//gsm;

  if(defined $allowed && !exists $allowed->{$filename}) {
    die "Filename ".html_escape($filename).
      " cannot be edited via this screen\n";  # TEXTFIX
  }
  my $tmpFilename = "$filename.$$" ;
  open(OUT, ">$tmpFilename") ||
    &error(&text('error_openRead', $filename, $ERRNO));
  print OUT "$value\n";
  close(OUT);
  rename($tmpFilename, $filename) ||
    die "Could not rename file $tmpFilename to $filename ($ERRNO)\n"; # TEXTFIX
}


1;
