use strict;

use vars qw/%text %in $tb $cb/;
BEGIN {
  require 'html.pl';
}

# Utility functions to access /etc/userDB
#

my $statuses = {'N' => $text{userdb_N},
		'U' => $text{userdb_N},
		'H' => $text{userdb_H},
		'D' => $text{userdb_D},
		'X' => $text{userdb_D}};

my $internetState;
sub getInternetState {
  require 'listfile.pl';
  if(!defined $internetState) {
    $internetState = getUserTriStatePair('squid');
  }
  return $internetState;
}

sub printUser {
  my ($user, $active, $flag, $deletable) = @_;

  my $login = $user->[0];
  my @baseRow=();
  my ($nom, $prenom) = split(/,\s*/, $user->[3]);

  if($active == 1) {
    push(@baseRow, sub { printLink("editUser", $login, { login => $login})});
  } else {
    push(@baseRow, "$login\n");
  }
  push(@baseRow,
       "$user->[1] ($statuses->{$user->[1]})",
       html_escape($user->[2]),
       html_escape("$prenom $nom")
      );

  if ($user->[4] =~ /^\[[A-Z]{3} [0-9]{8} (..*)\]$/) {
    push(@baseRow,
	 sub {
	   if ($user->isStudent) {
	     printLink("editUser0", $1, { classe => $1 });
	   } else {
	     printLink("editUser", $1, { login => $1 });
	   }
	 })
  } else {
    push(@baseRow, "");
  }
  push(@baseRow, html_escape($user->[5]));
  if($flag) {
    push(@baseRow,
	 sub {
	   if ($deletable) {
	     printCheckbox("x$user->[0]", "no");
	   } else {
	     iprint("");
	     nbsp();
	     print "\n";
	   }
	 },
	 getTriStateLabel(getInternetState(), $login));
  }
  &tableRow(\@baseRow);
}


sub printUserTable {
    my $flag = shift(@_);
    my $body = shift(@_);

    hr;

    my @row = ( "$text{userdb_login}",
		"$text{userdb_status}",
		"$text{userdb_category}",
		"$text{userdb_fullName}",
		"$text{userdb_class}/$text{userdb_sponsor}",
		"$text{userdb_alias}");
    if ($flag != 0) {
      push(@row, sub { print $text{button_delete};});
      push(@row, $text{userdb_internet});
    }

    mainForm("batchdestructAct", "$text{userdb_editUsers}", sub {
	&tableRow(\@row);

	&$body;

	if ($flag) {
	    submitLine(8, "$text{userdb_delSelUsers}");
	}
    }, {'border'});
}


1;
